/*
 * d2c
 *
 * Device to cloud API
 *
 * API version: 0.1
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package easyplatform

import (
	"io"
	"log"
	"net/http"
	"os"
	"time"
)

func GetCases(w http.ResponseWriter, r *http.Request) {
	w.Header().Set("Content-Type", "application/json; charset=UTF-8")
	w.WriteHeader(http.StatusOK)
}

func GetResultCases(w http.ResponseWriter, r *http.Request) {
	w.Header().Set("Content-Type", "application/json; charset=UTF-8")
	w.WriteHeader(http.StatusOK)
}

func UploadCase(w http.ResponseWriter, r *http.Request) {

	log.Printf("Lenght: %v", r.ContentLength)

	buf := make([]byte, r.ContentLength)

	file, err := os.Create("/images/image" + time.Now().Format(time.UnixDate) + ".jpg")
	if err != nil {
		log.Printf("Error creating file %s", err)
		return
	}
	defer file.Close()

	_, err = io.ReadFull(r.Body, buf)
	if err != nil {
		log.Printf("Error read request body %s", err)
		return
	}

	_, err = file.Write(buf)
	if err != nil {
		log.Printf("Cannot write file %s", err)
		return
	}

	w.Header().Set("Content-Type", "application/json; charset=UTF-8")
	w.WriteHeader(http.StatusOK)
}
